#
# spec file for package perl-Apache-AutoIndex (Version 0.08)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mm mod_perl perl-Apache-Icon perl-Apache-Language perl-HTML-Parser perl-I18N-LangTags perl-Storable
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mm mod_perl modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Apache-Icon perl-Apache-Language perl-HTML-Parser perl-I18N-LangTags perl-Storable ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Apache-AutoIndex
%define apache_includedir   	%(apxs -q INCLUDEDIR)
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define version_apache		%(rpm -q --queryformat '%{version}' apache)
Copyright:    BSD style
Group:        Development/Libraries/Perl
Provides:     Apache-AutoIndex
Requires:     perl = %{version_perl} 
Requires:     apache = %{version_apache}
Requires:     mod_perl perl-Apache-Icon perl-Apache-Language 
Requires:     perl-I18N-LangTags perl-Storable perl-HTML-Parser
Conflicts:    perlmod
Autoreqprov:  on
Version:      0.08
Release:      161
Source:       Apache-AutoIndex-0.08.tar.gz 
Summary:      Perl replacment for mod_autoindex Apache module
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
This module can replace completely mod_dir and mod_autoindex
standard directory handling modules shipped with apache.

Authors:
--------
    Philippe M. Chiasson <gozer@ectoplasm.dyndns.com>

SuSE series: perl

%prep 
%setup -n Apache-AutoIndex-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
perl Makefile.PL
make all
make test
	

%install
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
        install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | \
	sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Apache/AutoIndex/
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
%doc Changes README MANIFEST
%doc %{_mandir}/man3/Apache::AutoIndex.3pm.gz
%{perl_sitearch}/auto/Apache/AutoIndex/
%{perl_sitearch}/Apache/AutoIndex.pm
%{perl_sitearch}/Apache/AutoIndex.dic
/var/adm/perl-modules/%{name}

%changelog -n perl-Apache-AutoIndex
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Wed Nov 22 2000 - rolf@suse.de
- extracted from perlmod package
